Subject: bug#47919: closed (Sourcing environment-variables may send to wrong directory)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 12 Jan 2024 21:33:02 +0000

Your bug report

#47919: Sourcing environment-variables may send to wrong directory

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
47919: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=47919
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Sourcing environment-variables may send to wrong directory
From: Alexandre Hannud Abdo <[email-masked]>
To: [email-masked]
Date: Fri, 12 Jan 2024 22:32:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ni! I see. Thanks for the explanation. .~´

Subject: Sourcing environment-variables may send to wrong directory
From: Alexandre Hannud Abdo <[email-masked]>
To: [email-masked]
Date: Tue, 20 Apr 2021 22:37:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ni!

While debugging a package definition I met the following odd behavior:

On subsequent failed builds, if I go to build dir and source
'environment-variables', this is what happens:

/tmp/guix-build-[package].drv-1$ source environment-variables
/tmp/guix-build-[package].drv-0/[package]$

See how I source it in failed build '-1', but my cwd gets changed to
failed build '-0'!

Cheers,
ale
.~´